# ReportingSettings Class

### NAMESPACE

RASAdminEngine.Core.OutputModels

### DESCRIPTION

RAS Reporting Settings

### INHERITED FROM

[RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html)⇒ReportingSettings

### INTERFACES

* ISerializable
* IComparable

### PUBLIC PROPERTIES

| Type    | Name                    | Description |                                                                                                             |
| ------- | ----------------------- | ----------- | ----------------------------------------------------------------------------------------------------------- |
| UInt32  | DeltaBandwidth          |             | Track bandwidth by user percentage choice.                                                                  |
| UInt32  | DeltaCpu                |             | Minimum CPU change required to track the counter.                                                           |
| UInt32  | DeltaLatency            |             | Track Latency by user percentage choice.                                                                    |
| UInt32  | DeltaMemory             |             | Minimum Memory change required to track the counter.                                                        |
| UInt32  | DeltaUXEvaluator        |             | Track UX evaluator by user percentage choice.                                                               |
| Boolean | EnableCustomReports     |             | Enable or disable custom report.                                                                            |
| Boolean | Enabled                 |             | Enable or disable RAS Reporting functionality.                                                              |
| String  | FolderName              |             | Custom report folder name.                                                                                  |
| UInt32  | Port                    |             | Port used by the service which receives data from the RAS Connection Broker. The default port is 30008.     |
| String  | Server                  |             | The FQDN or IP address of the server where RAS Reporting is installed.                                      |
| Boolean | TrackLogonDetails       |             | Enable or disable logon details tracking.                                                                   |
| UInt32  | TrackLogonDetailsTime   |             | How long to retain logon details.                                                                           |
| Boolean | TrackServers            |             | Enable or disable Server counters information tracking.                                                     |
| UInt32  | TrackServerTime         |             | How long the server counters information (such as CPU, Memory and number of sessions) is kept (in seconds). |
| Boolean | TrackSessions           |             | Enable or disable Sessions information tracking.                                                            |
| UInt32  | TrackSessionTime        |             | How long information regarding the sessions opened on your servers is kept (in seconds).                    |
| Boolean | TrackUserExperience     |             | Enable or disable tracking of user experience data.                                                         |
| UInt32  | TrackUserExperienceTime |             | How long to retain user experience data.                                                                    |
| Boolean | UseCredentials          |             | Enable or disable Username/Password credentials to connect to the Server hosting RAS Reporting.             |
| String  | Username                |             | Username to connect to the Server hosting RAS Reporting (if UseCredentials is enabled).                     |

### PUBLIC METHODS

| Type    | Name                   | Description                                                                                                                                                    |   |
| ------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| Int32   | CompareTo (Object obj) | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Boolean | Equals (Object obj)    | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Int32   | GetHashCode ()         | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Type    | GetType ()             |                                                                                                                                                                |   |
| String  | ToString ()            |                                                                                                                                                                |   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/reportingsettings-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
